﻿ADDUIEVENT("PLAYER_ENTERING_WORLD", function()
if AddUIDB.raidmakes ==  true  then  

--团队框架标记https://bbs.nga.cn/read.php?&tid=25216434&pid=487880785&to=1
local RaidTargetMarkers = {}

local function UpdateRaidTargetIcon(frame)
local whnum = 15
    local unit = frame.unit
    local name = frame:GetName()

    if not name or not unit or not UnitExists(unit) then return end
    local marker = GetRaidTargetIndex(unit)

    if not RaidTargetMarkers[name] then
        RaidTargetMarkers[name] = {}
        RaidTargetMarkers[name].icon = frame:CreateTexture(name.."Marker", "OVERLAY")
        RaidTargetMarkers[name].icon:SetPoint("LEFT", frame, 2, 5)
        RaidTargetMarkers[name].icon:SetWidth(whnum)
        RaidTargetMarkers[name].icon:SetHeight(whnum)
    end

    if marker ~= RaidTargetMarkers[name].marker then
        RaidTargetMarkers[name].marker = marker
        if marker then
            RaidTargetMarkers[name].icon:SetTexture("Interface\\TargetingFrame\\UI-RaidTargetingIcon_" .. marker)
            RaidTargetMarkers[name].icon:Show()
        else
            RaidTargetMarkers[name].icon:Hide()
        end
    end
end

local function UpdateRaidTarget()
    CompactRaidFrameContainer_ApplyToFrames(CompactRaidFrameContainer, "normal", UpdateRaidTargetIcon)
end

local RaidMarkerChangeListener = CreateFrame("Frame", "RaidMarkerChangeListener")
RaidMarkerChangeListener:RegisterEvent('RAID_TARGET_UPDATE')
RaidMarkerChangeListener:RegisterEvent('GROUP_ROSTER_UPDATE')
RaidMarkerChangeListener:RegisterEvent('PLAYER_ENTERING_WORLD')
RaidMarkerChangeListener:SetScript("OnEvent", UpdateRaidTarget)

end
end)
